Memory Stores
Update memories
Starts an update that writes conversation memories into the specified memory store. The operation returns a long-running status location for polling the update result.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry ścieżki
name
string
wymagane
The name of the memory store to update.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Treść żądania
scope
string
wymagane
The namespace that logically groups and isolates memories, such as a user ID.
items
OpenAI.InputItem[]
Conversation items to be stored in memory.
previous_update_id
string
The unique ID of the previous update request, enabling incremental memory updates from where the last operation left off.
update_delay
integer
Timeout period before processing the memory update in seconds. If a new update request is received during this period, it will cancel the current request and reset the timeout. Set to 0 to immediately trigger the update without delay. Defaults to 300 (5 minutes).
Odpowiedzi
The request has been accepted for processing, but processing has not yet completed.
Nagłówki
Operation-Location
string
wymagane
The location for monitoring the operation state.
Treść
update_id
string
wymagane
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
wymagane
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
wymagane
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
wymagane
Usage statistics of a memory store operation.
embedding_tokens
integer
wymagane
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
wymagane
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
wymagane
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
wymagane
The public continuation instruction.
Żądanie
POST /memory_stores/{name}:update_memories HTTP/1.1
Response
Status: 202
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json